package org.rcisoft.baidu.censor.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.baidu.censor.dto.CensorResult;
import org.rcisoft.business.memInfo.entity.ArticleExamStatus;
import org.rcisoft.business.memInfo.entity.MemInfo;
import org.rcisoft.business.memInfo.entity.opmArticleDTO;
import org.rcisoft.business.memInfo.entity.peopleNumberDTO;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.model.CyPersistModel;

import java.util.List;

/**
 * Created by cy on 2024年12月20日 下午3:35:34.
 */
public interface ContentCensorService {

    /**
     * 获取常规文本审核结果
     *
     * @param content 内容
     * @return 百度内容审核JSON
     */
    public CensorResult getCommonTextCensorResult(String content);

    /**
     * 获取照片审核结果
     *
     * @param imageUrl 图片Url
     * @return 百度图片审核JSON
     */
    public CensorResult getImageCensorResult(String imageUrl);
}
